Mono.Posix 1.0.5000.0 2.0.0.0 System.Enum System.CLSCompliant(false) System.Flags The FilePermissions enumeration describes file system modes (read,write,execute) as described in the POSIX standard.

A FilePermissions is the Unix mode_t type.

- Field
  Mono.Unix.Native.FilePermissions Allow all user, group, and others read, write, and execute access (0777). 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.FilePermissions All permissions enabled, including set user ID and set group ID on execution bits (07777). 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.FilePermissions Default file mode: permit read and write access to owner, group, others (0666). 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.FilePermissions Block device. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.FilePermissions Character device. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.FilePermissions Directory. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.FilePermissions First In First Out (FIFO). 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.FilePermissions Symbolic link. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.FilePermissions Bitmask for the file type bitfields. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.FilePermissions Regular file. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.FilePermissions Socket. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.FilePermissions Is readable for group. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.FilePermissions Is readable for others (everyone). 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.FilePermissions Is readable by user (owner). 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.FilePermissions Group has read, write, and execute permissions. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.FilePermissions Others have read, write, and execute permissions. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.FilePermissions Owner has read, write, and execute permissions. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.FilePermissions Set-group-id mode, indicating that the effective group ID of any user executing the file should be made the same as the group of the file. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.FilePermissions Set-user-id mode, indicating that the effective user ID of any user executing the file should be made the same as that of the owner of the file. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.FilePermissions Is sticky bit set. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.FilePermissions Is writable for group. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.FilePermissions Is writable for others (everyone). 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.FilePermissions Is writable by user (owner). 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.FilePermissions Is executable for group. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.FilePermissions Is executable for others (everyone). 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.FilePermissions Is executable for user (owner). 1.0.5000.0 2.0.0.0